Package Details: firefox-vaapi 127.0.2-1

Git Clone URL: https://aur.archlinux.org/firefox-vaapi.git (read-only, click to copy)
Package Base: firefox-vaapi
Description: Fast, Private & Safe Web Browser (with VA-API patches)
Upstream URL: https://www.mozilla.org/firefox/
Keywords: firefox libva va-api vaapi video
Licenses: MPL-2.0
Conflicts: firefox
Provides: firefox
Submitter: ewout
Maintainer: dcelasun
Last Packager: dcelasun
Votes: 11
Popularity: 0.83
First Submitted: 2023-02-24 13:48 (UTC)
Last Updated: 2024-07-01 09:26 (UTC)

Dependencies (55)

Required by (163)

Sources (7)

Latest Comments

1 2 3 4 5 Next › Last »

dedguy21 commented on 2024-06-29 03:29 (UTC) (edited on 2024-06-29 21:05 (UTC) by dedguy21)

Ok, I'm getting the memory limit error, I have 32G ram, another 11G zram. So based on what I've read from other comments, I may have to up that zram to 100G

(yes upping zram did the trick, it took at least 45G for this program to compile without error)

I fixed a previous error by adding the 'mailcap' dependency which wasn't listed in the PKGBUILD but definitely should be

==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting firefox-127.0.source.tar.xz with bsdtar
==> Starting prepare()...
patching file widget/gtk/GfxInfo.cpp
Hunk #1 succeeded at 1096 (offset -16 lines).
patching file widget/gtk/GfxInfo.cpp
Hunk #3 succeeded at 1016 (offset -16 lines).
Hunk #4 succeeded at 1057 (offset -16 lines).
Hunk #5 succeeded at 1065 (offset -16 lines).
==> Sources are ready.
firefox-vaapi-127.0-1: parsing pkg list...
==> Making package: firefox-vaapi 127.0-1 (Fri 28 Jun 2024 08:18:56 PM PDT)
==> Checking runtime dependencies...
==> Missing dependencies:
  -> mime-types
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.
error: failed to build 'firefox-vaapi-127.0-1': 
error: packages failed to build: firefox-vaapi-127.0-1

deemon commented on 2024-06-18 21:48 (UTC)

Progress. Increased /swapfile from 16G to 64G and was able to compile. (Also this time logged out from kde and compiled in text only tty5.) Took like 1h... but got it done. Pffff.

deemon commented on 2024-06-17 15:22 (UTC)

I was able to build the 126.0 from here ... 🤣

dcelasun commented on 2024-06-16 15:51 (UTC)

I never could build it with 32GB, only saw success with 64GB+ systems.

deemon commented on 2024-06-16 15:24 (UTC) (edited on 2024-06-16 15:27 (UTC) by deemon)

fails to build in 32GB system... tried twice. second time closed everything else.

juuni 16 15:57:18 Zen kernel: Out of memory: Killed process 822286 (ld.lld) total-vm:41427260kB, anon-rss:23011120kB, file-rss:0kB, shmem-rss:0kB, UID:1000 pgtables:78396kB oom_score_adj:200
juuni 16 18:20:45 Zen kernel: Out of memory: Killed process 895458 (ld.lld) total-vm:44122236kB, anon-rss:24177960kB, file-rss:0kB, shmem-rss:0kB, UID:1000 pgtables:81168kB oom_score_adj:200

any hints, how to limit the memory gobbling, so it doesn't fill entire memory, so it doesn't get automatically killed?

dcelasun commented on 2024-05-10 14:52 (UTC)

@BryanLiang thanks, pushed a fix with that patch. Unfortunately, I can't include the patch on AUR as it exceeds AUR's max file size limit (~488KiB) so it'll have to be downloaded from Gitlab.

BryanLiang commented on 2024-05-10 14:39 (UTC) (edited on 2024-05-10 14:43 (UTC) by BryanLiang)

I built fail in clean chroot, here is the build log: https://pastebin.com/raw/ikYigyc5.

It seem that it needs a patch: https://gitlab.archlinux.org/archlinux/packaging/packages/firefox/-/commit/5577acf6c2a83d81ffa538885f1b6258ed32d7db

dcelasun commented on 2024-05-10 13:35 (UTC)

Adopted package and updated to 125.0.3. Wayland proxy patches have been dropped as they have been upstreamed, and PGO seems to work correctly once again.

dcelasun commented on 2024-03-11 11:05 (UTC)

wayland-proxy patches are no longer needed as of Firefox 123.